isS3stdGeneric {utils} | R Documentation

## Check if a function acts as an S3 generic

### Description

Determines whether `f` acts as a standard S3-style generic function.

### Usage

    isS3stdGeneric(f)

### Arguments

`f` | A function object

### Details

A closure is considered a standard S3 generic if the first expression in its body calls `UseMethod`. Functions which perform operations before calling `UseMethod` will not be considered “standard” S3 generics.

### Value

If `f` is an S3 generic, a logical vector containing `TRUE` with the name of the S3 generic (the string passed to `UseMethod`). Otherwise, `FALSE` (unnamed).

[Package utils version 3.4.2 Index]